@import url("normalize.css");
@import url("base.css");

/*main styles */
body {
    position: relative;
    background: var(--bg);
    font-family: var(--font-family);
    font-size: 16px;
    color: var(--black);
}
.header-row {
    padding: 25px 0;
}
.logo {
    width: 250px;
}
.hero-text {
    padding-left: 50px;
    text-align: right;
}
h1 {
    font-size: 60px;
    line-height: 1.2;
}
.hero-subtitle {
    margin-top: 25px;
    font-size: 20px;
}
.hero-btns {
    margin-top: 50px;
    gap: 20px;
}
.hero-btns > .btn:last-child {
    background: var(--white);
    color: var(--black);
    box-shadow: 0 4px 15px 0 rgba(var(--theme-color-rgb), 0.15);
}
.hero-btns > .btn:last-child:hover {
    box-shadow: 0 4px 15px 4px rgba(var(--theme-color-rgb), 0.25);
}
.hero-image {    
    flex-basis: 57%;
    flex-shrink: 0;
    max-width: 100%;
    overflow: hidden;
}
.pros-list {
    gap: 30px;
}
.pros-item {
    flex-basis: 0;
    flex-grow: 1;
    padding: 50px;
    border-radius: 10px;
    border: 1px solid var(--grey);
}
.pros-item:last-child {
    border: none;
    box-shadow: 0 4px 15px 0 rgba(var(--theme-color-rgb), 0.15);
    z-index: 1;
}
.pros-item-icon {
    width: 250px;
    height: auto;
}
.pros-item-title {
    font-size: 26px;
    font-weight: 700;
    margin: 30px 0 20px;
}
.pros-item-desc {
    line-height: 1.5;
}
.pros-item-img {
    height: 300px;
    margin-bottom: 40px;
    border-radius: 12px;
    overflow: hidden;
}
.objects-slides-wrapper {
    position: relative;
}
.objects-slides-wrapper:before {
    content: '';
    width: 15%;
    height: 100%;    
    position: absolute; 
    left: 0;   
    top: 0;
    background: linear-gradient(90deg, var(--white) 0%, rgba(255, 255, 255, 0) 100%);
    pointer-events: none;
    z-index: 1;
}
.objects-slides-wrapper:after {
    content: '';
    width: 15%;
    height: 100%;    
    position: absolute;    
    right: 0;
    top: 0;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, var(--white) 100%);
    pointer-events: none;
    z-index: 1;
}
.objects-slider {
    overflow: hidden;
    width: 100%;
}
.objects-slider:first-child {
    margin-bottom: 30px;
}
.object-slider-track {
    display: flex;
    animation: scroll 15s linear infinite;
}
.objects-slider:last-child .object-slider-track {
    animation: scroll-reverse 15s linear infinite;
}
.object-slide {
   /* flex: 0 0 200px;
    margin-right: 30px;
    background: var(--theme-color);
    color: var(--white);
    text-align: center;
    padding: 40px 0;
    border-radius: 10px;
    font-size: 16px;*/
    flex: 0 0 200px;
    margin-right: 30px;
    background: var(--light);
    text-align: center;
    padding: 30px 0;
    font-size: 18px;
    font-weight: 700;
    border-radius: 10px;
    border: 2px solid var(--grey);
}
.grid-wrap {
    display: grid;    
    grid-gap: 50px;
    grid-template-columns: repeat(3, 1fr);
    margin-top: 100px;
}
.grid-wrap.grid-wrap-sec {
    grid-template-rows: repeat(31, 60px);
    margin-top: 50px;
}
.grid-item {
    gap: 30px;
    padding: 30px;
    border-radius: 12px;
    /*box-shadow: 0 4px 15px 0 rgba(var(--theme-color-rgb), 0.15);*/
    box-shadow: -15px 12px 10px 5px rgba(0, 0, 0, 0.05);
}
.grid-item-img {
    height: auto;
    border-radius: 12px;
    overflow: hidden;
}
.grid-item-img video {
    width: 100%;
}
.grid-item-img img,
.grid-item-img video {
    height: 100%;
    object-fit: contain;
}
.grid-item-title {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
}
.grid-item-desc {
    font-size: 18px;
    line-height: 1.5;
}
.gi-1 .grid-item-img {
    margin: 0 30px;
    margin-bottom: -100px;
}
.grid-item-container {
    flex-grow: 1;
    padding: 100px 30px 30px;
    border-radius: 12px;
    box-shadow: 0 4px 15px 0 rgba(var(--theme-color-rgb), 0.15);
}
.gi-1 {
    grid-column: 1 / 3;
    padding: 0;
    box-shadow: none;
}
.gi-2 {
    grid-column: 3 / 4;
}
.gi-3 {
    grid-column: 1 / 2;
    grid-row: 1 / 8;
    padding: 0;
}
.gi-3 .grid-item-img {
    flex-grow: 1;
}
.gi-3 .grid-item-data {
    padding: 30px;
}
.gi-4 {
    grid-column: 2 / 4;
    grid-row: 1 / 6;
}
.gi-4 .grid-item-img {
    height: 100%;
    flex-basis: 40%;
    flex-shrink: 0;
}
.gi-5 {
    grid-column: 1 / 2;
    grid-row: 8 / 15;
}
.gi-5 .grid-item-img {
    flex-grow: 1;
}
.gi-6 {
    grid-column: 2 / 4;
    grid-row: 6 / 10;
}
.gi-6 .grid-item-img {
    height: 100%;
    flex-basis: 40%;
    flex-shrink: 0;
}
.gi-7 {
    grid-row: 10 / 15;
}
.gi-8 {
    grid-row: 10 / 15;
}
.gi-9 {
    grid-column: 1 / 4;
    grid-row: 15 / 20;
}
.gi-10, .gi-11, .gi-12 {
    grid-row: 20 / 26;
}
.gi-11 {
    padding: 0;
}
.gi-11 .grid-item-data {
    padding: 30px;
}
.gi-11 .grid-item-img {
    flex-grow: 1;
}
.gi-13, .gi-14, .gi-15 {
    grid-row: 26 / 32;
}
.gi-13 .grid-item-img,
.gi-14 .grid-item-img,
.gi-15 .grid-item-img {
    flex-grow: 1;
}
.section-blocks .section-subtitle {
    font-size: 26px;
    text-align: left;
    color: inherit;
    text-transform: none;
    margin-top: 25px;
}
.grid-wrap-blocks {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 50px;
}
.block-item {
    gap: 40px;
    border-radius: 12px;
    padding: 30px;
    background: var(--grey3);
}
.block-item-img {
    flex-shrink: 0;
    flex-grow: 1;
    border-radius: 12px;
    overflow: hidden;
}
.block-item-img video {
    width: 100%;
}
.block-item-img img,
.block-item-img video {
    height: 100%;
    object-fit: contain;
}
.block-item-title {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 25px;
}
.block-item-desc {
    font-size: 18px;
    line-height: 1.5;
}
.bi-full .block-item-img {
    flex-basis: 50%;
}
.bi-full {
    grid-column: 1 / 7;
}
.bi-2 {
    grid-column: span 3;
}
.bi-3 {
    grid-column: span 2;
}
.section-panel .section-title {
    text-align: center;
    margin-bottom: 25px;
}
.grid-panels {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 30px;
}
.panel-item {
    grid-column: span 2;
    gap: 30px;
    border-radius: 12px;
    /*box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.12);*/
    box-shadow: -15px 12px 10px 5px rgba(0, 0, 0, 0.05);
}
.panel-item-data {
    padding: 30px;
}
.panel-item-title {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
}
.panel-item-desc {
    font-size: 18px;
    line-height: 1.5;
}
.panel-item-img {
    border-radius: 12px;
    overflow: hidden;
    margin-top: auto;
}
.panel-item-img video {
    width: 100%;
}
.panel-item-img img,
.panel-item-img video {
    height: 100%;
    object-fit: contain;
}
.grid-item-img img,
.block-item-img img,
.panel-item-img img {
    cursor: pointer;
}
.steps-list {    
    gap: 30px;
    flex-wrap: wrap;
}
.step {
    position: relative;
    background: var(--white);
    border-radius: 12px;
    padding: 40px 30px;
    flex-basis: 0;
    flex-grow: 1;    
    box-shadow: -15px 12px 10px 5px rgba(0, 0, 0, 0.05);
    text-align: center;
}
.step:last-child {
    background: var(--black);
    color: var(--white);
    justify-content: center;
}
.step-img {
    width: 35%;
    left: 0;
    top: -40px;
}
.step-time {
    width: 80px;
    height: 80px;
    background: var(--black);
    color: var(--white);
    border-radius: 50%;
    font-weight: 700;
}
.step-title {
    margin: 20px 0 10px;
    font-size: 24px;
    font-weight: 700;
}
.step:last-child .step-title {
    font-size: 30px;
}
.step-desc {
    color: var(--grey2);
}
.step:last-child .step-desc {
    color: var(--white);
}
.improve-block {
    margin-top: 50px;
    gap: 50px;
}
.improve-img {
    flex-basis: 35%;
    flex-shrink: 0;
}
.improve-data {
    width: 45%;
    flex-shrink: 0;
}
.improve-data .section-title,
.improve-data .section-subtitle {
    text-align: left;
}
.improve-data .section-title {
    font-size: 40px;
    margin-bottom: 20px;
}
.improve-data .section-subtitle {
    font-size: 24px;
    margin-bottom: 40px;
}
.section-faq .section-title {
    text-align: left;
}
.faq-wrap {
    gap: 25px;
}
.faq-item {
    background: var(--white);
    border-radius: 20px;
    -webkit-box-shadow: 0 6px 20px rgba(36, 38, 41, .1);
    box-shadow: 0 6px 20px rgba(36, 38, 41, .1);
    -webkit-transition: 0.35s all ease;
    transition: 0.35s all ease;
}
.faq-item-header {
    gap: 15px;
    padding: 40px;
    font-size: 24px;
    color: var(--black);
    cursor: pointer;
    -webkit-transition: 0.35s all ease;
    transition: 0.35s all ease;
}
.faq-item-header:after {
    content: '';
    display: block;
    width: 30px;
    height: 30px;
    background-image: url(../images/icons/plus.svg);
    background-repeat: no-repeat;
    background-size: cover;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    -webkit-transition: 0.35s all ease;
    transition: 0.35s all ease;
}
.faq-item.active .faq-item-header:after {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
    background-image: url(../images/icons/minus.svg);
}
.faq-item-text {
    padding: 0 40px 40px;
    color: var(--black);
    display: none;
}
.faq-item-text p,
.faq-item-text ul, 
.faq-item-text ol {
    margin: 0 0 20px 0;
}
.faq-item-text p:last-child,
.faq-item-text ul:last-child, 
.faq-item-text ol:last-child {
    margin-bottom: 0;
}
.project {
    color: var(--black);
    text-decoration: none;
}
.project-img {
    height: 400px;
    border-radius: 12px;
    overflow: hidden;    
}
.project-img img {
    height: 100%;
    object-fit: cover;
    transition: 0.5s all ease-in-out;
}
.project:hover .project-img img {
    transform: scale(1.22);
}
.project-info {
    padding: 20px 0;
}
.project-title {
    font-family: 'Unbounded';
    font-size: 20px;
    margin-bottom: 5px;
}
.projects-slider-scrollbar {
    position: static !important;
    margin-top: 20px;
}
.section-service {
    background: var(--light);
}
.service-wrap {
    gap: 30px;
}
.service-item {
    max-width: 100%;
    width: 350px;
    background: var(--white);
    border-radius: 12px;
    box-shadow: -11px 12px 10px 2px rgba(0, 0, 0, 0.05);
}
.service-item > img {
    height: 250px;
}
.service-item-info {
    padding: 30px;
}
.service-item-title {
    font-family: 'Unbounded';
    font-size: 20px;
    margin-bottom: 15px;
}
.callback-form {
    max-width: 600px;
    margin: 0 auto;
    gap: 20px;
}
form input {
    width: 100%;
    padding: 15px;
    border-radius: 15px;
    border: 1px solid var(--grey);
    font-size: 20px;
    transition: 0.35s all ease-in-out;
}
form input:focus {
    border-color: var(--black);
}
form .btn {
    width: 100%;
    height: 66px;
}
footer {
    border-radius: 25px 25px 0 0;
    overflow: hidden;
}
.footer-top {
    padding-top: 50px;
    padding-bottom: 25px;
    margin-bottom: 25px;
    border-bottom: 1px solid var(--grey2);
}
.about-text {
    font-size: 20px;
    font-weight: 700;
    line-height: 1.5;
}
.about-images {
    gap: 20px;
    margin-top: 25px;
}
.about-images img {
    height: 50px;
    width: auto;
}
.contacts {
    gap: 20px;
}
.footer-phone {
    font-size: 26px;
    font-weight: 700;
    color: var(--white);
    text-decoration: none;
    letter-spacing: 2px;
    transition: 0.35s all ease-in-out;
}
.footer-phone:hover {
    opacity: 0.8;
}
.msgs {
    gap: 15px;
}
.msgs a {
    transition: 0.35s all ease-in-out;
}
.msgs a:hover {
    filter: brightness(1.5);
}
.footer-bottom {
    padding-bottom: 25px;
}
.footer-bottom a {
    color: var(--white);
}
.to-up {
    position: fixed;
    bottom: 100px;
    right: 20px;
    display: none;
    width: 46px;
    height: 46px;
    background: var(--grey3);
    border-radius: 12px;
    box-shadow: 0px 0px 10px 1px rgba(0,0,0,0.22);
    cursor: pointer;
    z-index: 3;
}
.to-up:before {
    content: '';
    display: block;
    width: 30px;
    height: 30px;
    background-image: url(../images/icons/chevron-up.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}
.footer-developer {
    font-size: 12px;
   /* font-family: 'Rubik';*/
}
.cta-btn {
    position: fixed;
    bottom: 60px;
    left: 20px;
    width: 250px;
    height: 60px;
    background: var(--white);
    color: var(--black);
    border: 1px solid var(--grey);
    border-radius: 12px;
    box-shadow: -6px 6px 10px 1px rgba(0, 0, 0, 0.22);
    cursor: pointer;
    animation: 2s infinite pulse;
    z-index: 3;
}
.callback-modal {
    position: relative;
    width: 600px;
    max-width: 100%;
    margin: 0 auto;
    background: var(--white);
    padding: 30px;
    border-radius: 12px;
}
.callback-modal h3 {
    text-align: center;
}
.callback-modal form > p {
    font-size: 18px;
    text-align: center;
}
.callback-modal-form {
    gap: 20px;
}
.inner-page-text > div:not(:last-child) {
    margin-bottom: 30px;
}
.inner-page-text h3 {
    margin-bottom: 10px;
}
.seo-txt {
    margin-top: 100px;
}
.form-select-wrap {
    display: flex;
    justify-content: flex-end;
}
.form-select-wrap .nice-select {
    font-size: 14px;
    height: 40px;
    line-height: 40px;
}
.form-select-wrap .nice-select:before {
    content: 'Перезвоним ';
}
.form-select-wrap .nice-select .list {
    width: 100%;
}
.modal-info {
    text-align: center;
}
.modal-info > span {
    font-size: 14px;
}
.modal-info > div {
    margin-top: 15px;
}
.modal-info > div > span {
    display: block;
    font-size: 13px;
    color: rgba(16,24,40,0.6);
}
.modal-info > div > a {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 4px 15px;
    margin-top: 10px;
    border: 1px solid #6eb456;
    border-radius: 8px;
    font-size: 22px;
    font-weight: 500;
    color: #6eb456;
    text-decoration: none;
    transition: 0.3s ease;    
}
.modal-info > div > a:hover {
    background: #fafafa;
}
.modal-steps {
    margin-top: 15px;
}
.modal-steps > span {
    font-size: 14px;
}
.modal-step-item {
    align-items: center;
    gap: 10px;
    margin-top: 12px;
    font-size: 13px;
    color: rgba(16,24,40,0.6);
}
.modal-step-item__icon {
    flex-shrink: 0;
    width: 25px;
}
.modal-step-item__icon img {
    display: block;
    width: 100%;
}
.modal-step-item__info {
    line-height: 1.4;
}
.modal-agreement {
    font-size: 12px;
    text-align: center;
}
.modal-agreement a {
    color: inherit;
}
@media (max-width: 1600px) {
    .hero-image {
        flex-basis: 50%;
    }
    h1 {
        font-size: 50px;
    }
    .pros-item {
        padding: 25px;
    }
    .pros-item-icon {
        width: 100%;
    }    
}
@media (max-width: 1360px) {    
    h1 {
        font-size: 45px;
    }
    .improve-data .section-title {
        font-size: 30px;
    }
}
@media (max-width: 1200px) {
    .hero-content {
        flex-direction: column;
        align-items: center;
    }
    .hero-text {
        padding-left: 0;
        padding-top: 30px;
        text-align: center;
    }
    h1 {
        font-size: 55px;
    }
    .pros-list {
        flex-wrap: wrap;
    }
    .pros-item {
        flex-basis: calc((100% - 30px) / 2);
    }
    .pros-item-icon {
        width: 60%;
    }
    .grid-item-title {
        font-size: 24px;
    }
    .grid-item-desc {
        font-size: 16px;
    }
    .gi-3 {
        grid-column: 1 / 2;
        grid-row: 1 / 7;
    }
    .gi-4 {
        grid-column: 2 / 4;
        grid-row: 1 / 7;
    }
    .gi-5 {
        grid-column: 1 / 2;
        grid-row: 7 / 15;
    }
    .gi-6 {
        grid-column: 2 / 4;
        grid-row: 7 / 10;
    }
    .gi-7 .grid-item-img,
    .gi-8 .grid-item-img {
        flex-grow: 1;
    }
    .block-item-title,
    .panel-item-title {
        font-size: 22px;
    }
    .block-item-desc,
    .panel-item-desc {
        font-size: 16px;
    }
}   
@media (max-width: 992px) {
    .section {
        padding: 60px 0;
    }
    h1 br {
        display: none;
    }
    .section-title {
        font-size: 44px;
    }
    .grid-wrap {
        grid-gap: 30px;
    }
    .grid-wrap.grid-wrap-sec {
        margin-top: 30px;
        grid-template-rows: unset;
    }
    .gi-1, .gi-2 {
        grid-column: 1 / 4;
    }
    .gi-3, .gi-4, .gi-5, .gi-6,
    .gi-7, .gi-8, .gi-9, .gi-10,
    .gi-11, .gi-12, .gi-13, .gi-14, .gi-15 {
        grid-column: 1 / 4;
        grid-row: unset;
    }
    .gi-4, .gi-6 {
        flex-direction: column;
    }
    .gi-4 .grid-item-img,
    .gi-6 .grid-item-img {
        height: auto;
        flex-basis: unset;
        flex-shrink: 0;
    }
    .block-item,
    .panel-item {
        gap: 20px;
        padding: 20px;
    }
    .panel-item-data {
        padding: 0;
    }
    .block-item-desc, .panel-item-desc {
        font-size: inherit;
    }
    .steps-list {
        gap: 50px 30px;
    }
    .step {
        flex-basis: calc((100% - 30px) / 2);
    }
    .improve-block {
        gap: 20px;
        flex-direction: column;
        align-items: flex-start;
    }
    .improve-img {
        flex-basis: unset;
        width: 50%;
    }
    .improve-data {
        width: 100%;
    }
    .improve-data .section-title br {
        display: none;
    }
    .seo-txt {
        margin-top: 50px;
    }
}
@media (max-width: 860px) {
    .grid-wrap-blocks {
        grid-gap: 25px;
    }
    .bi-3 {
        grid-column: span 3;
    }
    .panel-item {
        grid-column: span 3;
    }
    .service-wrap {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }
    .service-item-info {
        padding: 15px;
    }
    .footer-top {        
        flex-direction: column;
        align-items: center;
        gap: 30px;
        text-align: center;
    }
    .about-images {
        justify-content: center;
    }
    .contacts {
        align-items: center;
    }
    .footer-bottom {
        flex-direction: column;
        text-align: center;
        gap: 5px;
    }
    .footer-bottom > div:last-child {
        margin-top: 15px;
    }
}   
@media (max-width: 768px) {
    h1 {
        font-size: 34px;
    }
    .section-header, .section-title, .section-text {
        margin-bottom: 30px;
    }
    .section-text {
        font-size: 30px;
    }
    .step-list {
        margin-top: 60px;
    }
    .grid-wrap {
        margin-top: 50px;
    }
    .section-blocks .section-subtitle {
        font-size: inherit;
        margin-top: 10px;
    }
    .faq-item-header {        
        padding: 20px;
        font-size: inherit;    
        font-weight: 700;    
    }
}
@media (max-width: 640px) {
    .pros-item {
        flex-basis: 100%;
    }
    .pros-item-icon {
        width: 60%;
        margin: 0 auto;
    }
    .section-title {
        font-size: 30px;
    }
    .section-title br {
        display: none;
    }
    .bi-2, .bi-3, .panel-item {
        grid-column: 1 / 7;
    }
    .block-item:first-child,
    .block-item:last-child {
        flex-direction: column;
    }
    .step {
        flex-basis: 100%;
        padding: 25px;
        min-height: 230px;
    }
    .step-img {
        width: 80px;
        left: 10px;
        top: 10px;
    }
    .step:last-child .step-img {
        left: 0;
        top: 10px;
    }
    .improve-data .section-title {
        font-size: 24px;
    }
    .improve-data .section-subtitle {
        font-size: inherit;
        margin-bottom: 20px;
    }
}
@media (max-width: 460px) {
    h1 {
        font-size: 24px;
    }
    .section-title {
        font-size: 24px;
    }
    .grid-item-title, .block-item-title, .panel-item-title {
        font-size: 18px;
    }
    .improve-data .section-title {
        font-size: 22px;
    }
    .improve-img {
        flex-basis: unset;
        width: 100%;
    }
    .about-text {
        font-size: inherit;
    }
    .project-img {
        height: 300px;
    }
    .seo-txt {
        margin-top: 30px;
    }
}
@media (max-width: 400px) {
    .grid-item-container {        
        padding: 100px 20px 20px;        
    }
    .grid-item {
        gap: 20px;
        padding: 20px;
    }
    .grid-item-title {
        margin-bottom: 10px;
    }
}
.cookie-modal {
    background: #fff;
    box-shadow: 2px 0 6px 2px rgba(0, 0, 0, 0.12);
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 9999999;
    display: inline-block;
    border-radius: 8px;
    margin: 10px;
}
.cookie-modal__content {
    font-size: 10px;
    padding: 5px 5px;
    text-align: center;
}
.cookie-modal__content p {
    margin: 0;
}
.cookie-modal__close {
    background: var(--black);
    font-size: 12px;
    color: #ffffff;
    line-height: 1;
    border: none;
    padding: 3px 15px;
    margin-top: 5px;
    cursor: pointer;
    border-radius: 4px;
}
.cookie-modal__content a {
    color: var(--black);
}
@media (max-width: 992px) {
    .cookie-modal__content {
        font-size: 8px;
        padding: 5px 5px;
    }
}
@media (max-width: 768px) {
    .cookie-modal {
        bottom: 70px;
        width: 80vw;
    }
}